Creates a new job_estimated_quantity object
Request Information
URI Parameters :
None.
Body Parameters :
job_estimated_quantity| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| estimated_quantity |
Estimated quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| article_id |
Foreign key of the article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| reference_back_office |
The Id/Ref of the back office for this job. Used by Embedded entity |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "baf074ab-e6a8-4165-adaa-3bbfc7b34f5f",
"estimated_quantity": 2.0,
"article_id": "bf096ce8-0d59-4ee6-b4e6-7586359060aa",
"article_code": "sample string 4",
"article": {
"id": "a75788a7-ca14-4d83-8d13-6e562439d716",
"article_category_id": "d04b7f60-15e1-434c-8e6f-0907d2a48c92",
"article_category": {
"id": "0426a4dc-341e-445e-aa97-986d33499778",
"parent_id": "2407118f-08db-4ea1-a968-a6380f20c743",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-11-04T17:29:26.6182444+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "f84c7847-1cd0-4900-b893-39c96d5ebb0c",
"article_group_1_code": "sample string 5",
"article_group_2_id": "50ca58c0-b88e-455f-afb3-3e2e51d60b56",
"article_group_2_code": "sample string 7",
"article_group_3_id": "a65885e0-6a10-48aa-aedc-adceeeba9986",
"article_group_3_code": "sample string 9",
"article_group_4_id": "1f1bb983-7859-405f-bb49-44cee0775849",
"article_group_4_code": "sample string 11",
"article_group_5_id": "b45fde65-4724-4c9b-b7c0-c47378e09b0a",
"article_group_5_code": "sample string 13",
"article_group_6_id": "bae4945f-5c60-4c94-a3b2-e2c06983aeb1",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-11-04T17:29:26.6182444+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-11-04T17:29:26.6182444+00:00",
"date_update": "2026-11-04T17:29:26.6182444+00:00",
"modified_dateutc": "2026-11-04T17:29:26.6182444+00:00",
"article_color_id": "29a25b36-6884-4ee5-8081-2ccbff3857df",
"article_color_code": "sample string 38",
"article_color": {
"id": "07cbbf05-2c9d-4135-a9fe-7de07666cc15",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-11-04T17:29:26.6182444+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "66ea6537-ef39-4927-85f4-e0ef93c6fef7",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "c13baebe-ebfc-44bb-b2f8-cef85b8378dc",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"jobs_id": "b074f2e7-b815-4640-9d20-25c6000671dd",
"jobs_reference_back_office": "sample string 6",
"jobs": {
"id": "1776057e-223e-4ab0-9a12-b13f913f0282",
"_parent_id": "e42ab7ba-1794-4d7f-816c-8f78b35d3a32",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "39fffeae-2079-4a44-97c0-a835d3581fa9",
"project_reference_back_office": "sample string 5",
"project": {
"id": "f8d5dc60-c3e5-4063-9202-68f6ff2c795b",
"_parent_id": "6207ef74-96a6-4312-ac44-ecf7099992f6",
"root_parent_id": "419e46b3-f769-4e4f-9be6-83df12b49519",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "0310b0b2-7bbb-4fa7-92c1-3200a9aea9e0",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "4089e10f-2de5-4184-8e64-4d2692091e8e",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "42a80262-4e60-4081-ae55-5494915d5fc6",
"_parent_code": "sample string 6",
"sales_organization_id": "2f5362cb-1ccf-4460-9f57-e519e88dcc7b",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "96c9e9ae-e37d-4ba7-9f42-654ceafb080a",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "ad7ef190-cf61-4d1a-aca9-5c82fb9054d1",
"db_currency_id": "8abb6481-71a3-4904-bf80-7f42c2be7460",
"db_language_id": "abef962d-aada-4c66-823e-89206e4dc9ea",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-04T17:29:26.6182444+00:00"
},
"modified_dateutc": "2026-11-04T17:29:26.6182444+00:00"
},
"equipment_model_id": "f57ef5f3-54c3-4f2f-ae04-6771c8ff49c5",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "8552ab30-87c6-4dc9-9598-3326499fe28e",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "8bda4384-832b-46e1-b7a3-92b382a3e28e",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "685fe0c7-8902-4fa2-b40e-eb38d5ad5d9b",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "a2ce4155-04a7-4f5d-b967-304736d36ef3",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "96c9e9ae-e37d-4ba7-9f42-654ceafb080a",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "ad7ef190-cf61-4d1a-aca9-5c82fb9054d1",
"db_currency_id": "8abb6481-71a3-4904-bf80-7f42c2be7460",
"db_language_id": "abef962d-aada-4c66-823e-89206e4dc9ea",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-04T17:29:26.6182444+00:00"
},
"modified_dateutc": "2026-11-04T17:29:26.6182444+00:00"
},
"equipment_family_id": "099815da-54b1-4e9d-bc4c-d0459cbcc4c7",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "4089e10f-2de5-4184-8e64-4d2692091e8e",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "42a80262-4e60-4081-ae55-5494915d5fc6",
"_parent_code": "sample string 6",
"sales_organization_id": "2f5362cb-1ccf-4460-9f57-e519e88dcc7b",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "96c9e9ae-e37d-4ba7-9f42-654ceafb080a",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "ad7ef190-cf61-4d1a-aca9-5c82fb9054d1",
"db_currency_id": "8abb6481-71a3-4904-bf80-7f42c2be7460",
"db_language_id": "abef962d-aada-4c66-823e-89206e4dc9ea",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-04T17:29:26.6182444+00:00"
},
"modified_dateutc": "2026-11-04T17:29:26.6182444+00:00"
},
"date_in_production_since": "2026-11-04T17:29:26.6182444+00:00",
"date_out_of_production_since": "2026-11-04T17:29:26.6182444+00:00",
"date_end_support": "2026-11-04T17:29:26.6182444+00:00",
"sales_organization_id": "dcb37149-e15d-4970-a174-1b1c50712ec6",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "96c9e9ae-e37d-4ba7-9f42-654ceafb080a",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "ad7ef190-cf61-4d1a-aca9-5c82fb9054d1",
"db_currency_id": "8abb6481-71a3-4904-bf80-7f42c2be7460",
"db_language_id": "abef962d-aada-4c66-823e-89206e4dc9ea",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-04T17:29:26.6182444+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-04T17:29:26.6182444+00:00"
},
"project_status_id": "821f72e6-0b30-41ae-8596-08d3d20c5833",
"project_status_code": "sample string 10",
"project_status": {
"id": "0ba7bce4-7994-46d6-8073-137e5b39206d",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "bd2100e4-fea5-418f-812d-d1d41a0851b9",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "96c9e9ae-e37d-4ba7-9f42-654ceafb080a",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "ad7ef190-cf61-4d1a-aca9-5c82fb9054d1",
"db_currency_id": "8abb6481-71a3-4904-bf80-7f42c2be7460",
"db_language_id": "abef962d-aada-4c66-823e-89206e4dc9ea",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-04T17:29:26.6182444+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-04T17:29:26.6366014+00:00"
},
"company_id": "78c6053e-92a9-4d24-a6f4-570985655407",
"company_code": "sample string 12",
"db_address_id": "d0e1a3e0-d34b-4070-ad40-0b612e1cf1fd",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "eea65a27-662f-4a66-95c5-2f8d7b623b91",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "35101ae7-7ec5-4a41-93d8-1fb74b2b7b22",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-11-04T17:29:26.6366014+00:00",
"date_create": "2026-11-04T17:29:26.6366014+00:00",
"date_update": "2026-11-04T17:29:26.6366014+00:00",
"updated_by_user_id": "085f5ad9-df07-4fa8-828c-92e8f3d93645",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-11-04T17:29:26.6366014+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-11-04T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-11-04T17:29:26.6366014+00:00",
"date_last_job": "2026-11-04T17:29:26.6366014+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-11-04T17:29:26.6366014+00:00",
"modified_dateutc": "2026-11-04T17:29:26.6366014+00:00",
"is_mobile_installation": true
},
"job_type_id": "7e8c0b28-4a99-4715-a528-c02137e3818b",
"job_type_code": "sample string 7",
"job_type": {
"id": "7d2cffd4-864f-4177-8827-e84d4693df6a",
"name": "sample string 2",
"sales_organization_id": "cd9080ae-5288-4a17-8af0-603abab01675",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-11-04T17:29:26.6366014+00:00",
"code": "sample string 7"
},
"job_priority_id": "a2883df0-420f-47c5-94f5-51399e51be42",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "2ae867ab-9497-440a-8574-6cc8d9fa7fca",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "8fcfb968-258c-4802-a92f-9101631ab6bc",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "96c9e9ae-e37d-4ba7-9f42-654ceafb080a",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "ad7ef190-cf61-4d1a-aca9-5c82fb9054d1",
"db_currency_id": "8abb6481-71a3-4904-bf80-7f42c2be7460",
"db_language_id": "abef962d-aada-4c66-823e-89206e4dc9ea",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-04T17:29:26.6182444+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-04T17:29:26.6366014+00:00"
},
"job_status_id": "b643a460-21f6-419a-80a4-390f21a03e8d",
"job_status_code": "sample string 11",
"db_address_id": "aa729450-8820-45e8-a38a-0b7f68cfbd44",
"contact_id": "d832dc0f-c241-40fd-a6c8-0af31bd91422",
"requested_by_company_id": "f4d9e212-c020-478c-a44e-745e48ff9400",
"requested_by_contact_id": "029aa68b-876a-4a62-8b82-4399816c30a1",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-11-04T17:29:26.6366014+00:00",
"due_date": "2026-11-04T17:29:26.6366014+00:00",
"date_create": "2026-11-04T17:29:26.6366014+00:00",
"date_update": "2026-11-04T17:29:26.6366014+00:00",
"date_closed": "2026-11-04T17:29:26.6366014+00:00",
"suggested_user_id": "ce49c453-7e15-4213-8423-eccc387785aa",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "fa49725a-973e-48ee-844e-20d70665f52e",
"db_language_id": "d60db44c-d832-4de7-92e4-7bec286f50c2",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-04T17:29:26.6366014+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "0f1ad8e8-01b6-44db-8a3f-1185239fef68",
"sales_organization": {
"id": "96c9e9ae-e37d-4ba7-9f42-654ceafb080a",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "ad7ef190-cf61-4d1a-aca9-5c82fb9054d1",
"db_currency_id": "8abb6481-71a3-4904-bf80-7f42c2be7460",
"db_language_id": "abef962d-aada-4c66-823e-89206e4dc9ea",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-04T17:29:26.6182444+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "7e36f1c5-d512-43d8-a896-dad99cb119ca",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "b8c76a73-5407-4f39-8b36-d6c32f2e2cc4",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-04T17:29:26.6366014+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "2230d115-9fe3-4936-91c9-cb58afe83f93"
},
"suggested_date_start": "2026-11-04T17:29:26.6366014+00:00",
"skill_id": "3495c47e-0afb-4a2a-9024-93306613a767",
"skill_code": "sample string 32",
"skill": {
"id": "4f7bb7e9-727d-49eb-b50b-4c01a5f945fb",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "bbd68bac-0b4e-43d0-811f-8d9502ea2d6e",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "96c9e9ae-e37d-4ba7-9f42-654ceafb080a",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "ad7ef190-cf61-4d1a-aca9-5c82fb9054d1",
"db_currency_id": "8abb6481-71a3-4904-bf80-7f42c2be7460",
"db_language_id": "abef962d-aada-4c66-823e-89206e4dc9ea",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-04T17:29:26.6182444+00:00"
},
"modified_dateutc": "2026-11-04T17:29:26.6366014+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "a1462ba2-5f9b-415f-ab02-bded4c3696b9",
"date_reported_by_company": "2026-11-04T17:29:26.6366014+00:00",
"id2": 36,
"company_id": "5fcb8450-3de9-4eaa-a739-da582524f8c3",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "0eaedfc4-a31f-467a-8a40-d7275219d452",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-11-04T17:29:26.6366014+00:00"
},
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-04T17:29:26.6366014+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.